<?php defined('SYSPATH') or die('No direct script access.');
/*
 * This file is part of open source system FreenetIS
 * and it is released under GPLv3 licence.
 * 
 * More info about licence can be found:
 * http://www.gnu.org/licenses/gpl-3.0.html
 * 
 * More info about project can be found:
 * http://www.freenetis.org/
 * 
 */

/**
 * Adds type attribute to requests and one_vote to approval types.
 * 
 * @author Ondrej Fibich
 */
$upgrade_sql['1.1.0~beta2'] = array
(
	// add type column
	"ALTER TABLE  `requests` ADD `type` SMALLINT NOT NULL DEFAULT '0' AFTER `approval_template_id`",
	
	// add one_vote column
	"ALTER TABLE  `approval_types` ADD `one_vote` TINYINT NOT NULL DEFAULT '0'
	 COMMENT 'Only one vote (approve/reject) required to end voting.' AFTER `min_suggest_amount`",
);

/**
 * Add new default approval template for support requests.
 * 
 * @author Ondrej Fibich
 * @return boolean
 */
function upgrade_1_1_0_beta2_after()
{
	// create new template
	$atemp = new Approval_template_Model();
	$atemp->name = 'Požadavek na podporu';
	$atemp->comment = 'Výchozí šablona pro požadavky na podporu';
	$atemp->state = 0;
	$atemp->save_throwable();
	// add aproval type
	$atype = new Approval_type_Model(); 
	$atype->name = 'Podpora';
	$atype->comment = 'Výchozí hlasovací typ pro poskytování podpory (stačí aby hlasoval pouze jeden oprávněný)';
	$atype->type = Approval_type_Model::SIMPLE;
	$atype->majority_percent = 51;
	$atype->aro_group_id = Aro_group_Model::ADMINS;
	$atype->one_vote = TRUE;
	$atype->save_throwable();
	// add relation between type and template
	$rel = new Approval_template_item_Model();
	$rel->approval_template_id = $atemp->id;
	$rel->approval_type_id = $atype->id;
	$rel->priority = 0;
	$rel->save_throwable();
	// set as default for support requests
	Settings::set('default_request_support_approval_template', $atemp->id);
	// done
	return TRUE;
}
